%global modname uritemplate
%global altname uritemplate.py

%global _docdir_fmt %{name}

%if 0%{?fedora}
%global with_python3 1
%endif

Name:           python-%{modname}
Version:        3.0.0
Release:        1%{?dist}
Summary:        Simple python library to deal with URI Templates (RFC 6570)

License:        BSD
URL:            https://%{modname}.readthedocs.io
Source0:        https://github.com/sigmavirus24/%{modname}/archive/%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%description
%{summary}.

%package -n python2-%{modname}
Summary:        %{summary}
Conflicts:      python2-uri-templates
%{?python_provide:%python_provide python2-%{modname}}
%{?python_provide:%python_provide python2-%{altname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%if 0%{?with_python3}
BuildRequires:  python2-pytest
%else
BuildRequires:  pytest
%endif

%description -n python2-%{modname}
%{summary}.

Python 2 version.

%if 0%{?with_python3}
%package -n python3-%{modname}
Summary:        %{summary}
Conflicts:      python3-uri-templates
%{?python_provide:%python_provide python3-%{modname}}
%{?python_provide:%python_provide python3-%{altname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest

%description -n python3-%{modname}
%{summary}.

Python 3 version.
%endif

%prep
%autosetup -n uritemplate-%{version}

%build
%py2_build

%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install

%if 0%{?with_python3}
%py3_install
%endif

%check
PYTHONPATH=%{buildroot}%{python2_sitelib} py.test-%{python2_version} -v

%if 0%{?with_python3}
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} -v
%endif

%files -n python2-%{modname}
%license LICENSE
%doc HISTORY.rst README.rst
%{python2_sitelib}/%{modname}-*.egg-info
%{python2_sitelib}/%{modname}/

%if 0%{?with_python3}
%files -n python3-%{modname}
%license LICENSE
%doc HISTORY.rst README.rst
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}/
%endif

%changelog
* Mon Jul 31 2017 Nick Bebout <nb@fedoraproject.org> - 3.0.0-1
- Upgrade to 3.0.0

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3.0-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jun 29 2016 Igor Gnatenko <ignatenko@redhat.com> - 0.3.0-1
- Initial package
